GLS ShipIT 3.3.20 GLS ShipIT - SOAP services

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.common.DayOfWeek Enum Reference

## Public Member Functions
String | value ()

## Static Public Member Functions
static DayOfWeek | fromValue (String v)

## Public Attributes
| MON
| TUE
| WED
| THU
| FRI
| SAT

## Detailed Description

Java class for DayOfWeek.

The following schema fragment specifies the expected content contained within this class.

    <simpleType name="DayOfWeek">
      <restriction base="{http://www.w3.org/2001/XMLSchema}string">
        <enumeration value="MON"/>
        <enumeration value="TUE"/>
        <enumeration value="WED"/>
        <enumeration value="THU"/>
        <enumeration value="FRI"/>
        <enumeration value="SAT"/>
        <enumeration value="SUN"/>
      </restriction>
    </simpleType>

Definition at line 29 of file DayOfWeek.java.

## Member Function Documentation

## ◆ fromValue()

static DayOfWeek eu.glsgroup.fpcs.datatypes.soap.v1.common.DayOfWeek.fromValue | ( | String | v | ) |
| static

Definition at line 43 of file DayOfWeek.java.

## ◆ value()

String eu.glsgroup.fpcs.datatypes.soap.v1.common.DayOfWeek.value | ( |  | ) |

Definition at line 39 of file DayOfWeek.java.

## Member Data Documentation

## ◆ FRI

eu.glsgroup.fpcs.datatypes.soap.v1.common.DayOfWeek.FRI

Definition at line 35 of file DayOfWeek.java.

## ◆ MON

eu.glsgroup.fpcs.datatypes.soap.v1.common.DayOfWeek.MON

Definition at line 31 of file DayOfWeek.java.

## ◆ SAT

eu.glsgroup.fpcs.datatypes.soap.v1.common.DayOfWeek.SAT

Definition at line 36 of file DayOfWeek.java.

## ◆ THU

eu.glsgroup.fpcs.datatypes.soap.v1.common.DayOfWeek.THU

Definition at line 34 of file DayOfWeek.java.

## ◆ TUE

eu.glsgroup.fpcs.datatypes.soap.v1.common.DayOfWeek.TUE

Definition at line 32 of file DayOfWeek.java.

## ◆ WED

eu.glsgroup.fpcs.datatypes.soap.v1.common.DayOfWeek.WED

Definition at line 33 of file DayOfWeek.java.

The documentation for this enum was generated from the following file:

- DayOfWeek.java